Subject: bk/ssh problem
From: Stefan Hinz <[email-masked]>
To: Cygwin Mailing List <[email-masked]>
Date: Tue, 23 Nov 2004 16:32:48 +0100

Hi,

I cannot use BitKeeper with SSH through Cygwin on a box running Win XP. 
When using ssh (e.g. bk clone, bk pull, bk push), BitKeeper just hangs 
until I kill it.

On that box, BitKeeper does work with http, and ssh by itself works, 
too; for example:

~> ssh [email-masked]
Last login: Sat Nov 20 22:27:20 2004 from dsl-62-220-9-177.berlikomm.net
MySQL AB build machine
shinz@build:~>

I've been googling around and checking this list's archives, but the 
only thread that turned up that might be related to my problem is this one:

http://sources.redhat.com/ml/cygwin/2004-10/msg00435.html

See details below. Does anyone have pointers? Thank for your time!

bk/ssh doesn't work on this Win XP box:

~> uname -a
CYGWIN_NT-5.1 artemis 1.5.12(0.116/4/2) 2004-11-10 08:34 i686 unknown 
unknown Cygwin
~> uname -r
1.5.12(0.116/4/2)
~> bk version
BitKeeper version is bk-3.2.3 20040818155841 for x86-win32?
Built by: lm@win32-xp. in /c/cygwin/build/3.2.x-lm/src?
Built on: Wed Aug 18 11:18:01 PST 2004
Running on: MINGW32_NT-5.1 1.0.11(0.46/3/2)

bk/ssh does work on this Win 2000 box:

~> uname -a
CYGWIN_NT-5.0 Athena 1.5.11(0.116/4/2) 2004-09-04 23:17 i686 unknown 
unknown Cygwin
~> uname -r
1.5.11(0.116/4/2)
~> bk version
BitKeeper version is bk-3.2.2c 20040630231915 for x86-win32☺
Built by: lm@win32-xp. in /c/cygwin/build/3.2.x-lm/src☺
Built on: Wed Jun 30 16:29:38 PST 2004
Running on: MINGW32_NT-5.0 1.0.11(0.46/3/2)

Regards,

Stefan
-- 
Stefan Hinz <[email-masked]>
MySQL AB, Documentation Team
Taunusstr. 27, 12161 Berlin, Germany
Desk: +49 30 82702940 Fax: +49 30 82702941
Mobile: +49 177 7841069

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/